<?php
/*
Plugin Name: NS Custom Css
Plugin URI: https://wordpress.org/plugins/ns-custom-css/
Description: This plugin allow to add your custom css
Version: 2.2.1
Author: NsThemes
Author URI: http://www.nsthemes.com
Text Domain: ns-custom-css
Domain Path: /languages
License: GNU General Public License v2.0
License URI: http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/** 
 * @author        PluginEye
 * @copyright     Copyright (c) 2019, PluginEye.
 * @version         1.0.0
 * @license       https://www.gnu.org/licenses/gpl-3.0.html GNU General Public License Version 3
 * PLUGINEYE SDK
*/

require_once('plugineye/plugineye-class.php');
$plugineye = array(
    'main_directory_name'       => 'ns-custom-css',
    'main_file_name'            => 'ns-custom-css.php',
    'redirect_after_confirm'    => 'admin.php?page=ns-custom-css%2Fns-admin-options%2Fns_admin_option_dashboard.php',
    'plugin_id'                 => '238',
    'plugin_token'              => 'NWNmZjY5NTllNjBjYjhmNWM1NDUxYWZiMTdmOWJlN2Q2ZGUyZjUzOTc0ODQ1NGJiZjc3MGVmMzE0OThmY2IxYThiOTExNzU5NDVhMzQ=',
    'plugin_dir_url'            => plugin_dir_url(__FILE__),
    'plugin_dir_path'           => plugin_dir_path(__FILE__)
);

$plugineyeobj238 = new pluginEye($plugineye);
$plugineyeobj238->pluginEyeStart();      


if ( ! defined( 'CC_NS_PLUGIN_DIR' ) )
    define( 'CC_NS_PLUGIN_DIR', untrailingslashit( dirname( __FILE__ ) ) );

if ( ! defined( 'CC_NS_PLUGIN_DIR_URL' ) )
    define( 'CC_NS_PLUGIN_DIR_URL', plugin_dir_url( __FILE__ ) );


/* *** plugin options *** */
require_once( CC_NS_PLUGIN_DIR.'/ns_custom_css_for_wp_option.php');

/* *** plugin settings page *** */
require_once( CC_NS_PLUGIN_DIR.'/ns-admin-options/ns-admin-options-setup.php');

/* *** write css style *** */
function ns_write_cc_style(){
	$ns_cc_to_print = get_option('ns_code_to_add_cc_option', '');
	$ns_cc_to_print_tab = get_option('ns_code_to_add_cc_option_tab', '');
	$ns_cc_to_print_mobile = get_option('ns_code_to_add_cc_option_mobile', '');
	if ($ns_cc_to_print != '') {
		echo '<!-- Start Custom Css Code -->';
		echo "\r\n";
		echo '<style>';
		echo "\r\n";
		echo  $ns_cc_to_print;
		echo "\r\n";
		echo "\r\n";
		echo '@media (max-width: 1024px) {';
		echo "\r\n";
		echo  $ns_cc_to_print_tab;
		echo "\r\n";
		echo '}';
		echo "\r\n";
		echo '@media (max-width: 768px) {';
		echo "\r\n";
		echo  $ns_cc_to_print_mobile;
		echo "\r\n";
		echo '}';
		echo '</style>';
		echo "\r\n";
		echo '<!-- End Custom Css Code -->';
		echo "\r\n";
	}
}
add_action('wp_head', 'ns_write_cc_style');

/* *** include text domain *** */
function ns_custom_css_load_plugin_textdomain() {
    load_plugin_textdomain( 'ns-custom-css', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
}
add_action( 'plugins_loaded', 'ns_custom_css_load_plugin_textdomain' );

/* *** add link premium *** */
add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'nscustomcss_add_action_links' );

function nscustomcss_add_action_links ( $links ) {	
 $mylinks = array('<a id="nsccpremiumlinkpremium" href="https://www.nsthemes.com/product/wordpress-custom-css/?ref-ns=2&campaign=CC-linkpremium" target="_blank">'.__( 'Premium Version', 'ns-custom-css' ).'</a>');
return array_merge( $links, $mylinks );
}